import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _assertThisInitialized from "@babel/runtime/helpers/esm/assertThisInitialized";
import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import './style.scss';
import React from 'react';
import cn from 'classnames';

var NavBar =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(NavBar, _React$Component);

  function NavBar() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "leftClick", function (e) {
      window.history.go(-1);
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "rightClick", function (e) {
      window.location.href = window.location.origin + '/m/index';
    });

    return _this;
  }

  var _proto = NavBar.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        title = _this$props.title,
        className = _this$props.className,
        leftBtn = _this$props.leftBtn,
        rightBtn = _this$props.rightBtn,
        leftClick = _this$props.leftClick,
        rightClick = _this$props.rightClick,
        dark = _this$props.dark,
        transparent = _this$props.transparent,
        otherProps = _objectWithoutPropertiesLoose(_this$props, ["title", "className", "leftBtn", "rightBtn", "leftClick", "rightClick", "dark", "transparent"]);

    var composeClass = cn('auto-ui_navbar', {
      'auto-ui_navbar-dark': dark,
      'auto-ui_navbar-transparent': transparent
    }, className);
    return React.createElement("div", _extends({}, otherProps, {
      className: composeClass
    }), leftBtn && React.createElement("div", {
      className: "auto-ui_navbar-leftbtn",
      onClick: leftClick || this.leftClick
    }, leftBtn === true ? React.createElement("i", {
      className: "auto-ui_navbar-icon auto-ui_navbar-leftbtn-icon"
    }) : leftBtn), React.createElement("div", {
      className: "auto-ui_navbar-title"
    }, title), rightBtn && React.createElement("div", {
      className: "auto-ui_navbar-rightbtn",
      onClick: rightClick || this.rightClick
    }, rightBtn === true ? React.createElement("i", {
      className: "auto-ui_navbar-icon auto-ui_navbar-rightbtn-icon"
    }) : rightBtn));
  };

  return NavBar;
}(React.Component);

export default NavBar;